Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PRIndirectReference

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfIndirectReference
              com.lowagie.text.pdf.PRIndirectReference

    public class PRIndirectReference

extends PdfIndirectReference

Field Summary
`protected PdfReader` | `reader`

Fields inherited from class com.lowagie.text.pdf.PdfIndirectReference
`generation, number`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PRIndirectReference(PdfReader reader, int number)` Constructs a `PdfIndirectReference`.
`PRIndirectReference(PdfReader reader, int number, int generation)` Constructs a `PdfIndirectReference`.

Method Summary
`PdfReader` | `getReader()`
`void` | `setNumber(int number, int generation)`
`void` | `toPdf(PdfWriter writer, OutputStream os)` Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.

Methods inherited from class com.lowagie.text.pdf.PdfIndirectReference
`getGeneration, getNumber, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reader

    protected PdfReader reader

Constructor Detail

### PRIndirectReference

    PRIndirectReference(PdfReader reader,
                        int number,
                        int generation)

  Constructs a `PdfIndirectReference`.

  Parameters:
    `reader` - a `PdfReader`
    `number` - the object number.
    `generation` - the generation number.

### PRIndirectReference

    PRIndirectReference(PdfReader reader,
                        int number)

  Constructs a `PdfIndirectReference`.

  Parameters:
    `reader` - a `PdfReader`
    `number` - the object number.

Method Detail

### toPdf

    public void toPdf(PdfWriter writer,
                      OutputStream os)
               throws IOException

  Description copied from class: `PdfObject`
  Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.

  Overrides:
    `toPdf` in class `PdfObject`
  Parameters:
    `writer` - for backwards compatibility
    `os` - the outputstream to write the bytes to.
  Throws:
    `IOException`

### getReader

    public PdfReader getReader()

### setNumber

    public void setNumber(int number,
                          int generation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD